package ch.dlmw.swisssignchallenge.controllers;

import ch.dlmw.swisssignchallenge.services.impl.SigningRequestService;
import lombok.AllArgsConstructor;
import org.openapitools.api.SigningRequestApi;
import org.openapitools.model.GetSigningRequestResponse;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
public class SigningRequestController implements SigningRequestApi {
    private final SigningRequestService signingRequestService;

    public ResponseEntity<GetSigningRequestResponse> getSigningRequest(String id) {
        var signingRequest = signingRequestService.getSigningRequest(id);
        var response = new GetSigningRequestResponse(signingRequest.getId().toString(), signingRequest.isSigned());

        return ResponseEntity.ok(response);
    }
}
